<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        var principal = Number(prompt("enter the principal amount (loan amount)"));
        var interestRate= Number(prompt("enter the annual interest rate (as a percentage)."));
        var term=Number(prompt("enter the loan term in months."));
        var payment = (principal * (interestRate / 100 * (1 + (interestRate / 100) * term)) / ((1 + (interestRate / 100) * term) - 1));
        document.write(" the monthly payment is  "+ `${payment}`);
    </script>
</body>
</html>